#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-B1mSpT4gESXHTaHsXxqRgE
key:                  lsp-1.2.0.1-B1mSpT4gESXHTaHsXxqRgE
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  fe3f684f518244a4e7dcbd5a6ae3749a
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-DosavwTg7o5DbpgIJ92hl9:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-DosavwTg7o5DbpgIJ92hl9:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-DosavwTg7o5DbpgIJ92hl9:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-DosavwTg7o5DbpgIJ92hl9:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-B1mSpT4gESXHTaHsXxqRgE
depends:
    aeson-1.5.6.0-GZUW0RX6wR0GNyId2zbUZx
    async-2.2.4-2ufaJCQRySkEO7WXEoMHRn
    attoparsec-0.14.4-JmvG4Wvx4EM5mKBIEGEaPX base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-IhQr772Rp9DBpduGZCnNjb
    dependent-map-0.4.0.0-8jvA1vrWD2RBH4QRZZBVWo exceptions-0.10.4
    hashable-1.4.0.2-A7cEvE0oiq92I0kqqbT0NC
    hslogger-1.3.1.0-G5JaOneE5UKJCibUMYswTf
    lens-5.1-4XRUjxQvXID6iuJqyxGAve
    lsp-types-1.3.0.1-DosavwTg7o5DbpgIJ92hl9 mtl-2.2.2
    network-uri-2.6.4.1-LX64IFesN4tEtd5HBD7ndF
    random-1.2.1.1-5iWH2ycrnoQ5ZYD66L7QAJ
    scientific-0.3.7.0-BGDOHpeWZcM6hFLsiwwQPU
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-F6flbRdcGQH5ESgepmhKFP
    uuid-1.3.15-DeqDZvkP2DRDBVEnLBcMht

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

